com.trendmicro.ds.appcontrol.rest.object.drift

## Class DriftQueryScope

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.DriftQueryScope

- Direct Known Subclasses:
    ScopeWithHostGroup

      public class DriftQueryScope
      extends java.lang.Object

  A scope for a drift query, including time range and property filters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriftQueryScope()`
    `DriftQueryScope(java.lang.Long start, java.lang.Long end, java.lang.String fileName, java.lang.String hostName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyFilter` | `getFilter()` The optional filters with which to limit the query.
    `TimeRange` | `getTimeRange()` The time range with which to limit the query.
    `void` | `setFilter(PropertyFilter filter)`
    `void` | `setTimeRange(TimeRange timeRange)`
    `DriftQueryScope` | `withFilter(PropertyFilter filter)`
    `DriftQueryScope` | `withTimeRange(TimeRange timeRange)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DriftQueryScope

          public DriftQueryScope()

    - #### DriftQueryScope

          public DriftQueryScope(java.lang.Long start,
                                 java.lang.Long end,
                                 java.lang.String fileName,
                                 java.lang.String hostName)

  - ### Method Detail

    - #### getTimeRange

          public TimeRange getTimeRange()

      The time range with which to limit the query.
      Returns:

    - #### setTimeRange

          public void setTimeRange(TimeRange timeRange)

    - #### withTimeRange

          public DriftQueryScope withTimeRange(TimeRange timeRange)

    - #### getFilter

          public PropertyFilter getFilter()

      The optional filters with which to limit the query.
      Returns:

    - #### setFilter

          public void setFilter(PropertyFilter filter)

    - #### withFilter

          public DriftQueryScope withFilter(PropertyFilter filter)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.